v1.0.0
OpenAPI 3.1.0

Get the status of a broadcast

US region

Client Libraries

Get the status of a broadcast

After triggering a broadcast you can retrieve the status of that broadcast using a GET of the trigger_id. You can retrieve the trigger_id from Get broadcast triggers.

Path Parameters
  • broadcast_id
    Type: integer
    required

    The ID of the broadcast that you want to return information about.

  • trigger_id
    Type: integer
    required

    The ID of the campaign trigger that you want to return information for.

Responses
  • application/json
  • 400

    The broadcastID, actionID or triggerID is invalid.

  • 404

    The broadcast, action, and/or trigger do not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/campaigns/{broadcast_id}/triggers/{trigger_id}
curl https://api.customer.io/v1/campaigns/1/triggers/3 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 1,
  "broadcast_id": 2,
  "created_at": 1552341937,
  "processed_at": 1
}